Public Class LicenseLegacy
    ' ++++++++++++++++++++++++++++++++++++++++++++++ Methoden ++++++++++++++++++++++++++++++++++++++++++++++

    ''' <summary>
    ''' Konstruktor der Lizenz
    ''' </summary>
    Sub New(ByVal _ModuleName As String, ByVal _Expires As Date, ByVal _Type As String, ByVal _AnzProfile As String)
        Modulename = _ModuleName
        Expires = _Expires
        Type = _Type
        Anz_Profile = _AnzProfile
    End Sub

    ' ++++++++++++++++++++++++++++++++++++++++++++++ Properties ++++++++++++++++++++++++++++++++++++++++++++++

    ''' <summary>
    ''' Liefert oder setzt den Namen des Moduls für diese Lizenz
    ''' </summary>
    Public Property Modulename() As String
    ''' <summary>
    ''' Liefert oder setzt das Gültigkeitsdatum der Lizenz für das Modul
    ''' </summary>
    Public Property Expires() As Date
    ''' <summary>
    ''' Liefert den Typen der Lizenz
    ''' </summary>
    Public Property Type() As String
    ''' <summary>
    ''' Liefert die Anzahl der Profile
    ''' </summary>
    Public Property Anz_Profile() As String
    ''' <summary>
    ''' Liefert ob die Lizenz schon abgelaufen ist
    ''' </summary>
    Public ReadOnly Property IsExpired()
        Get
            If Date.Today > Expires Then
                Return True
            Else
                Return False
            End If
        End Get
    End Property
End Class
